<?php
function getLast24hBan($db, $sortBy = 'ban_date, ban_time', $order = 'DESC') {
  $getLast24hBan = mysqli_query($db, "SELECT service,ip,ban_date,ban_time,country, countryCode FROM bans WHERE concat_ws(' ',ban_date, ban_time) >= now() - INTERVAL 1 DAY ORDER BY $sortBy $order");
  while ($rows = mysqli_fetch_assoc($getLast24hBan)) {
    $lastBan[] = $rows;
  }
  if (empty($lastBan)) {
    $lastBan = array();
  }
  return $lastBan;
}
  if (empty($sortBy)) {
    $sortBy = 'ban_date';
  }
  $getLast24hBan = getLast24hBan($db, $sortBy, $order);
  $nbLast24hBan = count($getLast24hBan);
?>
<h2>Last 24h ban (<?php echo $nbLast24hBan; ?>)</h2>
<div class='table'>
  <div class='cell-header'>
    <a href="?page=lastBan&amp;sortBy=service&amp;order=<?php echo $newOrder?>">Service</a>
  </div>
  <div class='cell-header'>
    <a href="?page=lastBan&amp;sortBy=ip&amp;order=<?php echo $newOrder?>">IP</a>
  </div>
  <div class='cell-header'>
    <a href="?page=lastBan&amp;sortBy=ban_date&amp;order=<?php echo $newOrder?>">Date</a>
  </div>
  <div class='cell-header'>
    <a href="?page=lastBan&amp;sortBy=ban_time&amp;order=<?php echo $newOrder?>">Time</a>
  </div>
  <div class='cell-header'>
    <a href="?page=lastBan&amp;sortBy=country&amp;order=<?php echo $newOrder?>">Country</a>
  </div>
  <?php
  foreach ($getLast24hBan as $value) {
    echo '
<div class="row">
<div class="cell">
', $value['service'], '
</div>
<div class="cell">
', $value['ip'], '
</div>
<div class="cell">
', $value['ban_date'], '
</div>
<div class="cell">
', $value['ban_time'], '
</div>
<div class="cell">
', $value['country'],   printFlag($value['countryCode']), '
</div>
</div>';
  }
  echo '
</div>
';
